;--
;
; Include file for the Persistance Of View (POV) project.
;
; Copyright (c) 2015 George M. Gallant, Jr.
;
; Permission is hereby granted, free of charge, to any person obtaining a copy
; of this software and associated documentation files (the "Software"), to deal
; in the Software without restriction, including without limitation the rights
; to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
; copies of the Software, and to permit persons to whom the Software is
; furnished to do so, subject to the following conditions:
;
; The above copyright notice and this permission notice shall be included in
; all copies or substantial portions of the Software.
;
; THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
; IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
; FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
; AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
; LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
; OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
; THE SOFTWARE.
;
;--

		include	<p18f2620.inc>

		radix	dec
		
XCTL		equ	8000000
MULT		equ	4
FREQ		equ	XCTL * MULT
CPU_CLK		equ	((125+1) / MULT)		; in nsec

TIME_SLICE	equ	250000				; in nsec

;	Timer 2 Setup Values

POSTSCALE	equ	10
PRESCALE	equ	4
T2_PST		equ	((POSTSCALE-1) << 3)
T2_PRE		equ	1
T2_EN		equ	(1 << TMR2ON)
PR2_RESET	equ	((((TIME_SLICE / CPU_CLK) / 4) / PRESCALE) / POSTSCALE) + 1

NUM_COL		equ	7
MAX_NUM_CHAR	equ	28
	
